Subject: bug#24252: 25.1; json.el doesn't distinguish null and empty object

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Jun 2018 20:14:27 +0300

> From: Damien Cassou <[email-masked]>
> Date: Mon, 11 Jun 2018 15:36:35 +0200
> Cc: Philipp Stephani <[email-masked]>, Mark Oteiza <[email-masked]>,
> 	Theresa O'Connor <[email-masked]>, [email-masked],
> 	Dmitry Gutov <[email-masked]>
> 
> Nicolas Petton <[email-masked]> writes:
> > Damien Cassou <[email-masked]> writes:
> >> please find a patch attached. This patch uses :json-null to distinguish,
> >> during pretty-print, between the value null and an empty object.
> >
> > It looks good to me, but I'm wondering if encoding/decoding (not
> > pretty-printing) will be backward-compatible or not.
> 
> no one who has worked on this module before is willing to review this
> small change?

Sorry about that.  From my POV, Nico asked a question that I didn't
see answered, so the patch is still "being discussed", as far as I'm
concerned.  If you can address Nicolas's concern, we should be able to
move ahead.

Thanks.